To cross-compile libgaim for Qtopia, you first want to apply the appropriate
patch to the correct version of Gaim. Do this on a clean tree. You must also
have the correct environment variables setup for invoking the Qtopia
development tools.

Before you begin, you'll need to make a symlink in the root of the libgaim
tree. Type the following:

ln -s src libgaim

Then you can begin the compilation process. First run the ./configure or
./autogen.sh script, whichever is available. For this example, we'll use
./configure.

Type the following:

./configure --prefix=/install/path --disable-audio --disable-gtkspell \
            --disable-perl --host=arm-linux \
            --with-dynamic-prpls=gg,irc,jabber,msn,napster,oscar,yahoo

Once the configure process is complete, type make, and then make install.
